diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/non-ht/ofdm-phy.h ns-3.44/src/wifi/model/non-ht/ofdm-phy.h
--- ns-3.43/src/wifi/model/non-ht/ofdm-phy.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/non-ht/ofdm-phy.h	2025-03-09 16:55:49.795372700 -0700
@@ -14,8 +14,8 @@
 #include "ns3/phy-entity.h"
 
 /**
- * \file
- * \ingroup wifi
+ * @file
+ * @ingroup wifi
  * Declaration of ns3::OfdmPhy class
  * and ns3::OfdmPhyVariant enum.
  */
@@ -24,10 +24,10 @@
 {
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * The OFDM (11a) PHY variants.
  *
- * \see OfdmPhy
+ * @see OfdmPhy
  */
 enum OfdmPhyVariant
 {
@@ -37,8 +37,8 @@
 };
 
 /**
- * \brief PHY entity for OFDM (11a)
- * \ingroup wifi
+ * @brief PHY entity for OFDM (11a)
+ * @ingroup wifi
  *
  * This class is also used for the 10 MHz and 5 MHz bandwidth
  * variants addressing vehicular communications (default is 20 MHz
@@ -52,8 +52,8 @@
     /**
      * Constructor for OFDM PHY
      *
-     * \param variant the OFDM PHY variant
-     * \param buildModeList flag used to add OFDM modes to list (disabled
+     * @param variant the OFDM PHY variant
+     * @param buildModeList flag used to add OFDM modes to list (disabled
      *                      by child classes to only add child classes' modes)
      */
     OfdmPhy(OfdmPhyVariant variant = OFDM_PHY_DEFAULT, bool buildModeList = true);
@@ -89,153 +89,153 @@
      * corresponding to the provided rate and
      * the channel bandwidth (20, 10, or 5 MHz).
      *
-     * \param rate the rate in bps
-     * \param bw the bandwidth
-     * \return a WifiMode for OFDM
+     * @param rate the rate in bps
+     * @param bw the bandwidth
+     * @return a WifiMode for OFDM
      */
-    static WifiMode GetOfdmRate(uint64_t rate, MHz_u bw = 20);
+    static WifiMode GetOfdmRate(uint64_t rate, MHz_u bw = MHz_u{20});
     /**
      * Return a WifiMode for OFDM at 6 Mbps.
      *
-     * \return a WifiMode for OFDM at 6 Mbps
+     * @return a WifiMode for OFDM at 6 Mbps
      */
     static WifiMode GetOfdmRate6Mbps();
     /**
      * Return a WifiMode for OFDM at 9 Mbps.
      *
-     * \return a WifiMode for OFDM at 9 Mbps
+     * @return a WifiMode for OFDM at 9 Mbps
      */
     static WifiMode GetOfdmRate9Mbps();
     /**
      * Return a WifiMode for OFDM at 12Mbps.
      *
-     * \return a WifiMode for OFDM at 12 Mbps
+     * @return a WifiMode for OFDM at 12 Mbps
      */
     static WifiMode GetOfdmRate12Mbps();
     /**
      * Return a WifiMode for OFDM at 18 Mbps.
      *
-     * \return a WifiMode for OFDM at 18 Mbps
+     * @return a WifiMode for OFDM at 18 Mbps
      */
     static WifiMode GetOfdmRate18Mbps();
     /**
      * Return a WifiMode for OFDM at 24 Mbps.
      *
-     * \return a WifiMode for OFDM at 24 Mbps
+     * @return a WifiMode for OFDM at 24 Mbps
      */
     static WifiMode GetOfdmRate24Mbps();
     /**
      * Return a WifiMode for OFDM at 36 Mbps.
      *
-     * \return a WifiMode for OFDM at 36 Mbps
+     * @return a WifiMode for OFDM at 36 Mbps
      */
     static WifiMode GetOfdmRate36Mbps();
     /**
      * Return a WifiMode for OFDM at 48 Mbps.
      *
-     * \return a WifiMode for OFDM at 48 Mbps
+     * @return a WifiMode for OFDM at 48 Mbps
      */
     static WifiMode GetOfdmRate48Mbps();
     /**
      * Return a WifiMode for OFDM at 54 Mbps.
      *
-     * \return a WifiMode for OFDM at 54 Mbps
+     * @return a WifiMode for OFDM at 54 Mbps
      */
     static WifiMode GetOfdmRate54Mbps();
     /**
      * Return a WifiMode for OFDM at 3 Mbps with 10 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 3 Mbps with 10 MHz channel spacing
+     * @return a WifiMode for OFDM at 3 Mbps with 10 MHz channel spacing
      */
     static WifiMode GetOfdmRate3MbpsBW10MHz();
     /**
      * Return a WifiMode for OFDM at 4.5 Mbps with 10 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 4.5 Mbps with 10 MHz channel spacing
+     * @return a WifiMode for OFDM at 4.5 Mbps with 10 MHz channel spacing
      */
     static WifiMode GetOfdmRate4_5MbpsBW10MHz();
     /**
      * Return a WifiMode for OFDM at 6 Mbps with 10 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 6 Mbps with 10 MHz channel spacing
+     * @return a WifiMode for OFDM at 6 Mbps with 10 MHz channel spacing
      */
     static WifiMode GetOfdmRate6MbpsBW10MHz();
     /**
      * Return a WifiMode for OFDM at 9 Mbps with 10 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 9 Mbps with 10 MHz channel spacing
+     * @return a WifiMode for OFDM at 9 Mbps with 10 MHz channel spacing
      */
     static WifiMode GetOfdmRate9MbpsBW10MHz();
     /**
      * Return a WifiMode for OFDM at 12 Mbps with 10 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 12 Mbps with 10 MHz channel spacing
+     * @return a WifiMode for OFDM at 12 Mbps with 10 MHz channel spacing
      */
     static WifiMode GetOfdmRate12MbpsBW10MHz();
     /**
      * Return a WifiMode for OFDM at 18 Mbps with 10 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 18 Mbps with 10 MHz channel spacing
+     * @return a WifiMode for OFDM at 18 Mbps with 10 MHz channel spacing
      */
     static WifiMode GetOfdmRate18MbpsBW10MHz();
     /**
      * Return a WifiMode for OFDM at 24 Mbps with 10 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 24 Mbps with 10 MHz channel spacing
+     * @return a WifiMode for OFDM at 24 Mbps with 10 MHz channel spacing
      */
     static WifiMode GetOfdmRate24MbpsBW10MHz();
     /**
      * Return a WifiMode for OFDM at 27 Mbps with 10 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 27 Mbps with 10 MHz channel spacing
+     * @return a WifiMode for OFDM at 27 Mbps with 10 MHz channel spacing
      */
     static WifiMode GetOfdmRate27MbpsBW10MHz();
     /**
      * Return a WifiMode for OFDM at 1.5 Mbps with 5 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 1.5 Mbps with 5 MHz channel spacing
+     * @return a WifiMode for OFDM at 1.5 Mbps with 5 MHz channel spacing
      */
     static WifiMode GetOfdmRate1_5MbpsBW5MHz();
     /**
      * Return a WifiMode for OFDM at 2.25 Mbps with 5 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 2.25 Mbps with 5 MHz channel spacing
+     * @return a WifiMode for OFDM at 2.25 Mbps with 5 MHz channel spacing
      */
     static WifiMode GetOfdmRate2_25MbpsBW5MHz();
     /**
      * Return a WifiMode for OFDM at 3 Mbps with 5 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 3 Mbps with 5 MHz channel spacing
+     * @return a WifiMode for OFDM at 3 Mbps with 5 MHz channel spacing
      */
     static WifiMode GetOfdmRate3MbpsBW5MHz();
     /**
      * Return a WifiMode for OFDM at 4.5 Mbps with 5 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 4.5 Mbps with 5 MHz channel spacing
+     * @return a WifiMode for OFDM at 4.5 Mbps with 5 MHz channel spacing
      */
     static WifiMode GetOfdmRate4_5MbpsBW5MHz();
     /**
      * Return a WifiMode for OFDM at 6 Mbps with 5 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 6 Mbps with 5 MHz channel spacing
+     * @return a WifiMode for OFDM at 6 Mbps with 5 MHz channel spacing
      */
     static WifiMode GetOfdmRate6MbpsBW5MHz();
     /**
      * Return a WifiMode for OFDM at 9 Mbps with 5 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 9 Mbps with 5 MHz channel spacing
+     * @return a WifiMode for OFDM at 9 Mbps with 5 MHz channel spacing
      */
     static WifiMode GetOfdmRate9MbpsBW5MHz();
     /**
      * Return a WifiMode for OFDM at 12 Mbps with 5 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 12 Mbps with 5 MHz channel spacing
+     * @return a WifiMode for OFDM at 12 Mbps with 5 MHz channel spacing
      */
     static WifiMode GetOfdmRate12MbpsBW5MHz();
     /**
      * Return a WifiMode for OFDM at 13.5 Mbps with 5 MHz channel spacing.
      *
-     * \return a WifiMode for OFDM at 13.5 Mbps with 5 MHz channel spacing
+     * @return a WifiMode for OFDM at 13.5 Mbps with 5 MHz channel spacing
      */
     static WifiMode GetOfdmRate13_5MbpsBW5MHz();
 
@@ -244,8 +244,8 @@
      * ModulationLookupTable. This is mainly used as a callback for
      * WifiMode operation.
      *
-     * \param name the unique name of the OFDM mode
-     * \return WifiCodeRate corresponding to the unique name
+     * @param name the unique name of the OFDM mode
+     * @return WifiCodeRate corresponding to the unique name
      */
     static WifiCodeRate GetCodeRate(const std::string& name);
     /**
@@ -253,8 +253,8 @@
      * ModulationLookupTable. This is mainly used as a callback for
      * WifiMode operation.
      *
-     * \param name the unique name of the OFDM mode
-     * \return constellation size corresponding to the unique name
+     * @param name the unique name of the OFDM mode
+     * @return constellation size corresponding to the unique name
      */
     static uint16_t GetConstellationSize(const std::string& name);
     /**
@@ -262,10 +262,10 @@
      * the supplied parameters. This function calls CalculatePhyRate
      * and is mainly used as a callback for WifiMode operation.
      *
-     * \param name the unique name of the OFDM mode
-     * \param channelWidth the considered channel width
+     * @param name the unique name of the OFDM mode
+     * @param channelWidth the considered channel width
      *
-     * \return the physical bit rate of this signal in bps.
+     * @return the physical bit rate of this signal in bps.
      */
     static uint64_t GetPhyRate(const std::string& name, MHz_u channelWidth);
 
@@ -275,9 +275,9 @@
      * This function is mainly used as a callback
      * for WifiMode operation.
      *
-     * \param txVector the TXVECTOR used for the transmission
-     * \param staId the station ID (only here to have a common signature for all callbacks)
-     * \return the physical bit rate of this signal in bps.
+     * @param txVector the TXVECTOR used for the transmission
+     * @param staId the station ID (only here to have a common signature for all callbacks)
+     * @return the physical bit rate of this signal in bps.
      */
     static uint64_t GetPhyRateFromTxVector(const WifiTxVector& txVector, uint16_t staId);
     /**
@@ -286,9 +286,9 @@
      * This function is mainly used as a callback
      * for WifiMode operation.
      *
-     * \param txVector the TXVECTOR used for the transmission
-     * \param staId the station ID (only here to have a common signature for all callbacks)
-     * \return the data bit rate in bps.
+     * @param txVector the TXVECTOR used for the transmission
+     * @param staId the station ID (only here to have a common signature for all callbacks)
+     * @return the data bit rate in bps.
      */
     static uint64_t GetDataRateFromTxVector(const WifiTxVector& txVector, uint16_t staId);
     /**
@@ -296,18 +296,18 @@
      * the supplied parameters. This function calls CalculateDataRate and
      * is mainly used as a callback for WifiMode operation.
      *
-     * \param name the unique name of the OFDM mode
-     * \param channelWidth the considered channel width
+     * @param name the unique name of the OFDM mode
+     * @param channelWidth the considered channel width
      *
-     * \return the data bit rate of this signal in bps.
+     * @return the data bit rate of this signal in bps.
      */
     static uint64_t GetDataRate(const std::string& name, MHz_u channelWidth);
     /**
      * Check whether the combination in TXVECTOR is allowed.
      * This function is used as a callback for WifiMode operation.
      *
-     * \param txVector the TXVECTOR
-     * \returns true if this combination is allowed, false otherwise.
+     * @param txVector the TXVECTOR
+     * @returns true if this combination is allowed, false otherwise.
      */
     static bool IsAllowed(const WifiTxVector& txVector);
 
@@ -319,31 +319,31 @@
     MHz_u GetMeasurementChannelWidth(const Ptr<const WifiPpdu> ppdu) const override;
 
     /**
-     * \param txVector the transmission parameters
-     * \return the WifiMode used for the SIGNAL field
+     * @param txVector the transmission parameters
+     * @return the WifiMode used for the SIGNAL field
      */
     virtual WifiMode GetHeaderMode(const WifiTxVector& txVector) const;
 
     /**
-     * \param txVector the transmission parameters
-     * \return the duration of the preamble field
+     * @param txVector the transmission parameters
+     * @return the duration of the preamble field
      *
-     * \see WIFI_PPDU_FIELD_PREAMBLE
+     * @see WIFI_PPDU_FIELD_PREAMBLE
      */
     virtual Time GetPreambleDuration(const WifiTxVector& txVector) const;
     /**
-     * \param txVector the transmission parameters
-     * \return the duration of the SIGNAL field
+     * @param txVector the transmission parameters
+     * @return the duration of the SIGNAL field
      */
     virtual Time GetHeaderDuration(const WifiTxVector& txVector) const;
 
     /**
-     * \return the number of service bits
+     * @return the number of service bits
      */
     uint8_t GetNumberServiceBits() const;
     /**
-     * \param band the frequency band being used
-     * \return the signal extension duration
+     * @param band the frequency band being used
+     * @return the signal extension duration
      */
     Time GetSignalExtension(WifiPhyBand band) const;
 
@@ -351,51 +351,51 @@
      * End receiving the header, perform OFDM-specific actions, and
      * provide the status of the reception.
      *
-     * \param event the event holding incoming PPDU's information
-     * \return status of the reception of the header
+     * @param event the event holding incoming PPDU's information
+     * @return status of the reception of the header
      */
     PhyFieldRxStatus EndReceiveHeader(Ptr<Event> event);
 
     /**
      * Checks if the PPDU's bandwidth is supported by the PHY.
      *
-     * \param ppdu the received PPDU
-     * \return \c true if supported, \c false otherwise
+     * @param ppdu the received PPDU
+     * @return \c true if supported, \c false otherwise
      */
     virtual bool IsChannelWidthSupported(Ptr<const WifiPpdu> ppdu) const;
     /**
      * Checks if the signaled configuration (including bandwidth)
      * is supported by the PHY.
      *
-     * \param field the current PPDU field (SIG used for checking config)
-     * \param ppdu the received PPDU
-     * \return \c true if supported, \c false otherwise
+     * @param field the current PPDU field (SIG used for checking config)
+     * @param ppdu the received PPDU
+     * @return \c true if supported, \c false otherwise
      */
     virtual bool IsAllConfigSupported(WifiPpduField field, Ptr<const WifiPpdu> ppdu) const;
 
     /**
      * Calculate the PHY rate in bps from code rate and data rate.
      *
-     * \param codeRate the WifiCodeRate
-     * \param dataRate the data rate in bps
-     * \return the physical rate in bps from WifiCodeRate and data rate.
+     * @param codeRate the WifiCodeRate
+     * @param dataRate the data rate in bps
+     * @return the physical rate in bps from WifiCodeRate and data rate.
      */
     static uint64_t CalculatePhyRate(WifiCodeRate codeRate, uint64_t dataRate);
     /**
      * Convert WifiCodeRate to a ratio, e.g., code ratio of WIFI_CODE_RATE_1_2 is 0.5.
      *
-     * \param codeRate the WifiCodeRate
-     * \return the ratio form of WifiCodeRate.
+     * @param codeRate the WifiCodeRate
+     * @return the ratio form of WifiCodeRate.
      */
     static double GetCodeRatio(WifiCodeRate codeRate);
     /**
      * Calculates data rate from the supplied parameters.
      *
-     * \param codeRate the code rate of the mode
-     * \param constellationSize the size of modulation constellation
-     * \param channelWidth the considered channel width
+     * @param codeRate the code rate of the mode
+     * @param constellationSize the size of modulation constellation
+     * @param channelWidth the considered channel width
      *
-     * \return the data bit rate of this signal in bps.
+     * @return the data bit rate of this signal in bps.
      */
     static uint64_t CalculateDataRate(WifiCodeRate codeRate,
                                       uint16_t constellationSize,
@@ -403,12 +403,12 @@
     /**
      * Calculates data rate from the supplied parameters.
      *
-     * \param symbolDuration the symbol duration
-     * \param usableSubCarriers the number of usable subcarriers for data
-     * \param numberOfBitsPerSubcarrier the number of data bits per subcarrier
-     * \param codingRate the coding rate
+     * @param symbolDuration the symbol duration
+     * @param usableSubCarriers the number of usable subcarriers for data
+     * @param numberOfBitsPerSubcarrier the number of data bits per subcarrier
+     * @param codingRate the coding rate
      *
-     * \return the data bit rate of this signal in bps.
+     * @return the data bit rate of this signal in bps.
      */
     static uint64_t CalculateDataRate(Time symbolDuration,
                                       uint16_t usableSubCarriers,
@@ -416,13 +416,13 @@
                                       double codingRate);
 
     /**
-     * \return the number of usable subcarriers for data
+     * @return the number of usable subcarriers for data
      */
     static uint16_t GetUsableSubcarriers();
 
     /**
-     * \param channelWidth the channel width
-     * \return the symbol duration
+     * @param channelWidth the channel width
+     * @return the symbol duration
      */
     static Time GetSymbolDuration(MHz_u channelWidth);
 
@@ -432,9 +432,9 @@
      * must already be contained inside ModulationLookupTable.
      * This method binds all the callbacks used by WifiMode.
      *
-     * \param uniqueName the unique name of the WifiMode
-     * \param isMandatory whether the WifiMode is mandatory
-     * \return the OFDM WifiMode
+     * @param uniqueName the unique name of the WifiMode
+     * @param isMandatory whether the WifiMode is mandatory
+     * @return the OFDM WifiMode
      */
     static WifiMode CreateOfdmMode(std::string uniqueName, bool isMandatory);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/non-ht/ofdm-ppdu.cc ns-3.44/src/wifi/model/non-ht/ofdm-ppdu.cc
--- ns-3.43/src/wifi/model/non-ht/ofdm-ppdu.cc	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/non-ht/ofdm-ppdu.cc	2025-03-09 16:55:49.795372700 -0700
@@ -28,7 +28,7 @@
                    uint64_t uid,
                    bool instantiateLSig /* = true */)
     : WifiPpdu(psdu, txVector, channel, uid),
-      m_channelWidth(txVector.IsNonHtDuplicate() ? 20 : txVector.GetChannelWidth())
+      m_channelWidth(txVector.IsNonHtDuplicate() ? MHz_u{20} : txVector.GetChannelWidth())
 {
     NS_LOG_FUNCTION(this << psdu << txVector << channel << uid);
     if (instantiateLSig)
@@ -63,7 +63,7 @@
 void
 OfdmPpdu::SetTxVectorFromLSigHeader(WifiTxVector& txVector, const LSigHeader& lSig) const
 {
-    NS_ASSERT(m_channelWidth <= 20);
+    NS_ASSERT(m_channelWidth <= MHz_u{20});
     // OFDM uses 20 MHz, unless PHY channel width is 5 MHz or 10 MHz
     txVector.SetMode(OfdmPhy::GetOfdmRate(lSig.GetRate(m_channelWidth), m_channelWidth));
     txVector.SetChannelWidth(m_channelWidth);
@@ -93,11 +93,11 @@
 void
 OfdmPpdu::LSigHeader::SetRate(uint64_t rate, MHz_u channelWidth)
 {
-    if (channelWidth == 5)
+    if (channelWidth == MHz_u{5})
     {
         rate *= 4; // corresponding 20 MHz rate if 5 MHz is used
     }
-    else if (channelWidth == 10)
+    else if (channelWidth == MHz_u{10})
     {
         rate *= 2; // corresponding 20 MHz rate if 10 MHz is used
     }
@@ -177,11 +177,11 @@
         NS_ASSERT_MSG(false, "Invalid rate");
         break;
     }
-    if (channelWidth == 5)
+    if (channelWidth == MHz_u{5})
     {
         rate /= 4; // compute corresponding 5 MHz rate
     }
-    else if (channelWidth == 10)
+    else if (channelWidth == MHz_u{10})
     {
         rate /= 2; // compute corresponding 10 MHz rate
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/non-ht/ofdm-ppdu.h ns-3.44/src/wifi/model/non-ht/ofdm-ppdu.h
--- ns-3.43/src/wifi/model/non-ht/ofdm-ppdu.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/non-ht/ofdm-ppdu.h	2025-03-09 16:55:49.795372700 -0700
@@ -15,8 +15,8 @@
 #include "ns3/wifi-ppdu.h"
 
 /**
- * \file
- * \ingroup wifi
+ * @file
+ * @ingroup wifi
  * Declaration of ns3::OfdmPpdu class.
  */
 
@@ -26,8 +26,8 @@
 class WifiPsdu;
 
 /**
- * \brief OFDM PPDU (11a)
- * \ingroup wifi
+ * @brief OFDM PPDU (11a)
+ * @ingroup wifi
  *
  * OfdmPpdu stores a preamble, PHY headers and a PSDU of a PPDU with non-HT header,
  * i.e., PPDU that uses OFDM modulation.
@@ -47,27 +47,27 @@
         /**
          * Fill the RATE field of L-SIG (in bit/s).
          *
-         * \param rate the RATE field of L-SIG expressed in bit/s
-         * \param channelWidth the channel width
+         * @param rate the RATE field of L-SIG expressed in bit/s
+         * @param channelWidth the channel width
          */
-        void SetRate(uint64_t rate, MHz_u channelWidth = 20);
+        void SetRate(uint64_t rate, MHz_u channelWidth = MHz_u{20});
         /**
          * Return the RATE field of L-SIG (in bit/s).
          *
-         * \param channelWidth the channel width
-         * \return the RATE field of L-SIG expressed in bit/s
+         * @param channelWidth the channel width
+         * @return the RATE field of L-SIG expressed in bit/s
          */
-        uint64_t GetRate(MHz_u channelWidth = 20) const;
+        uint64_t GetRate(MHz_u channelWidth = MHz_u{20}) const;
         /**
          * Fill the LENGTH field of L-SIG (in bytes).
          *
-         * \param length the LENGTH field of L-SIG expressed in bytes
+         * @param length the LENGTH field of L-SIG expressed in bytes
          */
         void SetLength(uint16_t length);
         /**
          * Return the LENGTH field of L-SIG (in bytes).
          *
-         * \return the LENGTH field of L-SIG expressed in bytes
+         * @return the LENGTH field of L-SIG expressed in bytes
          */
         uint16_t GetLength() const;
 
@@ -79,11 +79,11 @@
     /**
      * Create an OFDM PPDU.
      *
-     * \param psdu the PHY payload (PSDU)
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param channel the operating channel of the PHY used to transmit this PPDU
-     * \param uid the unique ID of this PPDU
-     * \param instantiateLSig flag used to instantiate LSigHeader (set LSigHeader's
+     * @param psdu the PHY payload (PSDU)
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param channel the operating channel of the PHY used to transmit this PPDU
+     * @param uid the unique ID of this PPDU
+     * @param instantiateLSig flag used to instantiate LSigHeader (set LSigHeader's
      *                        rate and length), should be disabled by child classes
      */
     OfdmPpdu(Ptr<const WifiPsdu> psdu,
@@ -104,25 +104,25 @@
     /**
      * Fill in the PHY headers.
      *
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param psduSize the size duration of the PHY payload (PSDU)
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param psduSize the size duration of the PHY payload (PSDU)
      */
     void SetPhyHeaders(const WifiTxVector& txVector, std::size_t psduSize);
 
     /**
      * Fill in the L-SIG header.
      *
-     * \param lSig the L-SIG header to fill in
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param psduSize the size duration of the PHY payload (PSDU)
+     * @param lSig the L-SIG header to fill in
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param psduSize the size duration of the PHY payload (PSDU)
      */
     void SetLSigHeader(LSigHeader& lSig, const WifiTxVector& txVector, std::size_t psduSize) const;
 
     /**
      * Fill in the TXVECTOR from L-SIG header.
      *
-     * \param txVector the TXVECTOR to fill in
-     * \param lSig the L-SIG header
+     * @param txVector the TXVECTOR to fill in
+     * @param lSig the L-SIG header
      */
     virtual void SetTxVectorFromLSigHeader(WifiTxVector& txVector, const LSigHeader& lSig) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/non-inheritance.h ns-3.44/src/wifi/model/non-inheritance.h
--- ns-3.43/src/wifi/model/non-inheritance.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/non-inheritance.h	2025-03-09 16:55:49.795372700 -0700
@@ -17,7 +17,7 @@
 {
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * The IEEE 802.11 Non-Inheritance Information Element
  */
@@ -31,15 +31,15 @@
     /**
      * Add the Information Element specified by the given Element ID and Element ID Extension.
      *
-     * \param elemId the given Element ID
-     * \param elemIdExt the given Element ID Extension
+     * @param elemId the given Element ID
+     * @param elemIdExt the given Element ID Extension
      */
     void Add(uint8_t elemId, uint8_t elemIdExt = 0);
 
     /**
-     * \param elemId the given Element ID
-     * \param elemIdExt the given Element ID Extension
-     * \return whether the Information Element specified by the given Element ID and
+     * @param elemId the given Element ID
+     * @param elemIdExt the given Element ID Extension
+     * @return whether the Information Element specified by the given Element ID and
      *         Element ID Extension is present
      */
     bool IsPresent(uint8_t elemId, uint8_t elemIdExt = 0) const;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/originator-block-ack-agreement.h ns-3.44/src/wifi/model/originator-block-ack-agreement.h
--- ns-3.43/src/wifi/model/originator-block-ack-agreement.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/originator-block-ack-agreement.h	2025-03-09 16:55:49.795372700 -0700
@@ -22,7 +22,7 @@
 class WifiMpdu;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Maintains the state and information about transmitted MPDUs with Ack Policy set to Block Ack
  * for an originator station. The state diagram is as follows:
  *
@@ -63,8 +63,8 @@
     /**
      * Constructor
      *
-     * \param recipient MAC address
-     * \param tid Traffic ID
+     * @param recipient MAC address
+     * @param tid Traffic ID
      */
     OriginatorBlockAckAgreement(Mac48Address recipient, uint8_t tid);
     ~OriginatorBlockAckAgreement() override;
@@ -107,41 +107,41 @@
     /**
      * Set the current state.
      *
-     * \param state to set
+     * @param state to set
      */
     void SetState(State state);
     /**
      * Check if the current state of this agreement is PENDING.
      *
-     * \return true if the current state of this agreement is PENDING,
+     * @return true if the current state of this agreement is PENDING,
      *         false otherwise
      */
     bool IsPending() const;
     /**
      * Check if the current state of this agreement is ESTABLISHED.
      *
-     * \return true if the current state of this agreement is ESTABLISHED,
+     * @return true if the current state of this agreement is ESTABLISHED,
      *         false otherwise
      */
     bool IsEstablished() const;
     /**
      * Check if the current state of this agreement is NO_REPLY.
      *
-     * \return true if the current state of this agreement is NO_REPLY,
+     * @return true if the current state of this agreement is NO_REPLY,
      *         false otherwise
      */
     bool IsNoReply() const;
     /**
      * Check if the current state of this agreement is RESET.
      *
-     * \return true if the current state of this agreement is RESET,
+     * @return true if the current state of this agreement is RESET,
      *         false otherwise
      */
     bool IsReset() const;
     /**
      * Check if the current state of this agreement is REJECTED.
      *
-     * \return true if the current state of this agreement is REJECTED,
+     * @return true if the current state of this agreement is REJECTED,
      *         false otherwise
      */
     bool IsRejected() const;
@@ -151,7 +151,7 @@
      * window has been initialized. Otherwise, return the starting sequence number
      * stored by the BlockAckAgreement base class.
      *
-     * \return the starting sequence number.
+     * @return the starting sequence number.
      */
     uint16_t GetStartingSequence() const override;
 
@@ -159,8 +159,8 @@
      * Get the distance between the current starting sequence number and the
      * given sequence number.
      *
-     * \param seqNumber the given sequence number
-     * \return the distance of the given sequence number from the current winstart
+     * @param seqNumber the given sequence number
+     * @return the distance of the given sequence number from the current winstart
      */
     std::size_t GetDistance(uint16_t seqNumber) const;
 
@@ -174,21 +174,21 @@
      * Advance the transmit window so as to include the transmitted MPDU, if the
      * latter is not an old packet and is beyond the current transmit window.
      *
-     * \param mpdu the transmitted MPDU
+     * @param mpdu the transmitted MPDU
      */
     void NotifyTransmittedMpdu(Ptr<const WifiMpdu> mpdu);
     /**
      * Record that the given MPDU has been acknowledged and advance the transmit
      * window if possible.
      *
-     * \param mpdu the acknowledged MPDU
+     * @param mpdu the acknowledged MPDU
      */
     void NotifyAckedMpdu(Ptr<const WifiMpdu> mpdu);
     /**
      * Advance the transmit window beyond the MPDU that has been reported to
      * be discarded.
      *
-     * \param mpdu the discarded MPDU
+     * @param mpdu the discarded MPDU
      */
     void NotifyDiscardedMpdu(Ptr<const WifiMpdu> mpdu);
 
@@ -196,8 +196,8 @@
      * Check whether all the MPDUs in the TX window other than the given ones have been already
      * acknowledged.
      *
-     * \param seqNumbers the sequence numbers of the given MPDUs
-     * \return whether all the MPDUs in the TX window other than the given ones have been already
+     * @param seqNumbers the sequence numbers of the given MPDUs
+     * @return whether all the MPDUs in the TX window other than the given ones have been already
      *         acknowledged
      */
     bool AllAckedMpdusInTxWindow(const std::set<uint16_t>& seqNumbers) const;
